@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap');


* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
  text-decoration: none;
  line-height: 1.5;
  list-style: none;

}
:root{
  --logo: clamp(1.25rem, 3vw, 1.875rem);
  --nav-icons: clamp(1.5rem, 3vw, 2.125rem);
  --showcase-title: clamp(1.75rem, 4vw, 50px);
  --title: clamp(1.5rem, 3vw, 11.875rem);
  --sub-title: clamp(1.125rem, 2vw, 1.5rem);
  --paragraphs: clamp(1rem, 1vw, 20px);
  --text-width:clamp(45ch,50%,75ch);
  --color1:#332885;
  
}

html {
  scroll-behavior: smooth;
}

/*BACK TO TOP */
#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 2%;
  z-index: 99;
  border: none;
  outline: none;
  background-color: #222222;
  color: white;
  cursor: pointer;
  padding: 10px;
  font-size: 18px;
}

#myBtn i {
  position: relative;
  border: 1 rem solid #222222;
}



header {
  background: rgba(255, 255, 255, 1);
  width: 100%;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 2%;
  position: sticky;
  top: 0px;
  z-index: 2;
}

header .logo img {
  height:65px;
  width:65px;
}

header nav ul {
  display: flex;
}

header nav ul li a {
  display: inline-block;
  color: #000;
  padding: 5px 0;
  margin: 0 10px;
  border: 3px solid transparent;
  text-transform: uppercase;
  transition: border-bottom-color 0.2s;
}

header nav ul li a:hover,
header nav ul li a.active {
  border-bottom-color:var(--color1);
}

/*DROPDOWN-MENU*/

.toggle-button {
  cursor: pointer;
  display: none;
  color: #222222;
  font-size: var(--nav-icons);
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 70px;
  right: 0;
  width: 100%;
  height: 0;
  background-color: rgba(255, 255, 255, 1);
  overflow: hidden;
  transition: height 0.4s ease-in-out;
}

.dropdown-menu li {
  padding: 1rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dropdown-menu li a {
  color: #222222;
  text-transform: uppercase;
  font-size:var(--paragraphs);
  transition: border-color 0.3s ease;
}
.dropdown-menu li a:hover{
  border-bottom: 2px solid;
  border-color: #333;
}
.dropdown-menu.open {
  height: max-content;
}

/*MAIN SHOWCASE*/

.container {
  width: 100%;
  margin: auto;
  display: flex;
  height:clamp(400px,500px,600px);
  background-image: url(../images/HERO\ IMAGE.jpg);
  background-position: center;
  background-size: cover;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}
.showcase-text{
padding-left: 2rem;
}
.showcase-text h1 {
  font-size:var(--showcase-title);
  margin-bottom: 1rem;
  color: #fff;
  text-transform: uppercase;
}
.showcase-text a{
  background-color: #222222;
  padding: 0.5rem 1rem ;
  font-weight: 600;
  color: #fff;
}
.showcase-text  a:hover{
  background-color:#fff ;
  color:#222222;
}
.showcase-text p {
  font-size: var(--paragraphs);
  color: #fff;
  width:40%;
  padding-bottom: 1rem;
}

.socials {
  padding-left: 2rem;
  display: flex;
  flex-direction: column;
  justify-content:center;
  align-items: center;
}
.social-text{
  display: flex;
}
.main-hr{
  width:100%;
  margin: 1rem 0;
 
}
.social-text a{
  margin-right: 0.5rem;
}
.social-text p {
  font-size:var(--paragraphs);
  color: #fff;
padding-right: 0.5rem;
}


/*SERVICE*/
.services-area {
  padding: 10% 0;
}

.container3 {
  display: flex;
  width: 100%;
}

.main-text2 {
  color: #333;
  width: 100%;
  margin: 0 auto;
}

.main-text2 h2 {
  text-align: center;
  font-size: var(--title);
}

.services {
  display: flex;
  width: 100%;
  padding: 5% 5%;
  justify-content: space-between;
}

.service {
  display: flex;
  width: 30%;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 2rem;
  transition:scale  0.2s;
}



.service-image {
  width: 60px;
  height: 60px;
  margin: 0 0 23px;
}

.service-title {
  color: #333;
  font-size: var(--sub-title);
  font-weight: bold;
  align-items: end;
}

.service-text {
  margin-top: 1rem;
  font-size: var(--paragraphs);
  color: #333;
  height: 100%;
  width: 100%;
}

/*Project*/
.project-area{
  padding: 0 5%;
}
.project-title h2 {
  text-align: center;
  font-size: var(--title);
  padding-bottom: 4rem;
}

.project-images  {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(auto-fit,minmax(450px,1fr));
  grid-gap:1rem;
  margin: auto;
}

.project-images img {
  width: 100%;
  max-height:740PX;
  object-fit: cover;
  object-position: center;
}

.img-container{
  position: relative;
}
.img-container .btn {
  position: absolute;
  bottom:  2%;
  right: 0%;
  background-color: #222222;
  color: white;
  font-size: 1rem;
  padding:clamp(0.2rem,50%,0.5rem) clamp(0.5rem,50%,1rem);
  border: none;
  cursor: pointer;
  z-index: 1;
  opacity: 0;
}
.img-container .btn:hover {
  background-color:#fff;
  color: #222222;
}
.img-container:hover .btn{
  opacity: 1;
}
.phone-btn{
  width: 100%;
  display:none;
  margin-top: 2%;

}
.btn-project{
  border-radius: 5px;
  background-color: #000;
  color: #fff;
  padding: 10px 35px;
  border: none;
  cursor: pointer;
  transition: opacity 0.25s ease;
  font-size:1rem;
}
.btn-project:hover{
  opacity: 0.85;
}
/*About */

.about-container {
  display: flex;
  width: 80%;
  padding: 5% 0;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
}
.about-container h2{
  font-size: var(--title);
  padding-bottom: 1rem;
}
.about-container span{
  color:#333;
  font-weight: 800;
}
.about-container h3{
  color: var(--color1);
}
.about-hr {
  width: 10%;
  border: 0.15rem solid var(--color1);
  border-radius: 20%;
}

.about-container p {
  padding-top: 1rem;
  font-size: var(--paragraphs);
}

.button-about {
  border-radius: 5px;
  background-color: #000;
  color: #fff;
  padding: 10px 35px;
  border: none;
  cursor: pointer;
  margin-top: 2rem;
  transition: opacity 0.25s ease;
  font-size: 1rem;
}

.button-about:hover {
  opacity: 0.85;
}

/*CONTACT*/

.contact-container {
  display: flex;
  width: 100%;
  margin: 0 auto;
  flex-direction: column;
  padding: 0 5%;
}


.mini-container {
  display: flex;
  justify-content: space-evenly;
}

.contact-img {
  width: 50%;
}

.contact-img img {
  width: 100%;
  object-fit: cover;
}

.contact-info {
  width: 50%;
  padding: 10% 0 0 0;
}

.contact-info h2 {
  font-size: var(--title);
  width: 100%;
}

.contact-info i {
  padding-right: 0.1rem;
  font-size: 1rem;
  color: #333;
}

.contact-info p {
  font-size: 1.1rem;
  color: #999997;
}

.phone-email {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 2rem 0;

}

.phone-email p {
  font-size: 1rem;
  color: #333;
  padding: 0 1rem 0 0;
}

.phone-email a {
  color: #222222;
}

.phone-email a:hover {
  border-bottom: 2px solid;
  border-bottom-color: var(--color1);
}

/*FOOTER*/

footer {
  background-color: #222222;
  padding: 2% 0 0 0;
}

.footer-container {
  width: 100%;
  margin: auto;
  padding: 0 5%;
}

.footer-row {
  display: flex;
  justify-content: space-between;
}

.footer-colums {
  width: 30%;
}

.footer-colums ul li {
  padding: 0.4rem 0;
}

.footer-colums ul li a {
  color: #fff;
  text-transform: uppercase;
}
.footer-colums ul li a:hover {
  border-bottom: 2px solid;
  border-bottom-color: #fff;
}

footer h2 {
  color: #fff;
  text-transform: uppercase;
}

footer p {
  color: #fff;
  text-transform: uppercase;
}


.footer-contact a {
  color: #fff;
  font-size: 20px;
}
footer .footer-number {
  color: #999997;
  font-size: 20px;
  padding-bottom: 1rem;
}

.footer-end {
  padding-top: 4rem;
}

.footer-icons{
  margin-top: 1rem;
}
.footer-icons i {
  color: #fff;
  font-size: 20px;
  border: 1rem solid #000;
}

.footer-icons a {
  margin-right: 0.3rem;
}
/*MEDIA*/
@media(hover:hover){
  .service:hover{
    border-radius: 10px;
    cursor: pointer;
    transform: scale(1.1);
    box-shadow: 10px 10px 20px;
    border-color: #fff;
    border: 1px;
  }
  #myBtn:hover {
    background-color:var(--color1);
  }
}
@media screen and (max-width:950px) {
  header nav ul li a {
    display: none;
  }

  nav .toggle-button {
    display: block;
  }

  .dropdown-menu {
    display: block;
  }
  
}
@media screen and (max-width:760px) {

 .showcase-text p {
  width: 100%;
  padding: 1rem;
 }
 .social-text{
  flex-direction: column;
 }
  .container{
    height:clamp(400px,50%,600px);
    align-items: center;
    text-align: center;
  }
  .services {
    display: flex;
    width: 100%;
    padding: 5% 5%;
    flex-direction: column;
    justify-content: space-between;
  }

  .service {
    display: flex;
    width: 90%;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 5% 5%;
    margin: auto;
    transition: 0.25s;
  }

  .service-title {
    color: #333;
    font-size: 1.1rem;
    font-weight: bold;
    align-items: end;
  }

  .service-text {
    margin-top: 1rem;
    font-size: 0.9rem;
    color: #333;
    height: 100%;
    width: 100%;
  }

  .mini-container {
    display: flex;
    flex-direction: column;
  }
  .project-images  {
    grid-template-rows: repeat(5,1fr);
    grid-template-columns: none;
    gap: 1em;
  }
  .img-container .btn {
    display: none;
  }
  .phone-btn{
    display: flex;
    justify-content: center;
  }
  /*Contact*/

  .contact-img {
    width: 100%;
  }

  .contact-info {
    width: 100%;
    padding: 10% 0 0 0;
    text-align: center;

  }

  .phone-email {
    margin: auto;
    width: 50%;
    flex-direction: column;
    align-items: center;
  }

  .phone-email i {
    display: block;
  }

  /*FOOTER*/

  .footer-row {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }

  .footer-colums {
    width: 100%;
    text-align: center;
    padding: 10% 0;
  }

  .container {
    width: 100%;
  }

  .main-text {
    width: 100%;
  }

  .footer-end {
    flex-direction: column-reverse;
    padding: 3% 0;
  }

  

}